/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.configuration.cluster.internal;

import com.liferay.petra.lang.CentralizedThreadLocal;

/**
 * @author Brian Wing Shun Chan
 */
public class ConfigurationThreadLocal {

	public static boolean isLocalUpdate() {
		return _localUpdate.get();
	}

	public static void setLocalUpdate(boolean localUpdate) {
		_localUpdate.set(localUpdate);
	}

	private static final ThreadLocal<Boolean> _localUpdate =
		new CentralizedThreadLocal<>(
			ConfigurationThreadLocal.class + "._localUpdate",
			() -> Boolean.FALSE, false);

}